Bug 1008620 - Human Task Form Processing does not work with special chars
Human Task Form Processing does not work with special chars
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kris Verlaenen
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 13:24 EDT by Amana
Modified: 2015-07-08 13:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
repository_export.zip (22.31 KB, application/zip)
2013-09-16 13:24 EDT, Amana
no flags Details

  None (edit)
Description Amana 2013-09-16 13:24:22 EDT
Created attachment 798364 [details]
repository_export.zip

Description of problem:

There is an encoding issue with german special characters like 'ä' when using task form. Performing some tests using task form and business-central, I realized that it stores an invalid character (i.e. ��) in database and Instance Data (business-central).

select * from variableinstancelog;
  id  |        log_date         |          processid          | processinstanceid | value  |     variableid      | variableinstanceid  
------+-------------------------+-----------------------------+-------------------+--------+---------------------+---------------------
 4887 | 2013-09-06 16:18:28.772 | defaultPackage.EncodingTest |              4886 | ��     | testProcessVariable | testProcessVariable
 4888 | 2013-09-06 16:18:28.773 | defaultPackage.EncodingTest |              4886 | Submit | Submit              | Submit


It seems that there is something broken in the BRMS platform when doing human task form processing regarding the right encoding/decoding. Also, this is not a database issue since it stores the right character when adding it directly in the table. Other point, it is not being experienced when using "Script Task", only by using task form.


Steps to Reproduce:
1.) import the repository_export attached to guvnor
2.) Start the process with the business-central
3.) A form with one textinputfield should appear
4.) Enter something like 'äää' and submit
5.) Have a look in the business-central -> Processoverview -> EncodingTest -> instance -> instanceData
6.) Output will show broken char in variable 'testProcessVariable'
7.) Check value stored in database (table: variableinstancelog)

Actual results:
Broken char in variable and database.


Expected results:
Right char.

Note You need to log in before you can comment on or make changes to this bug.